Bug 203046 - evolution cannot create new MH subfolders
evolution cannot create new MH subfolders
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2006-08-17 19:44 EDT by Charlie Bennett
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-02 10:53:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 352346 None None None Never

  None (edit)
Description Charlie Bennett 2006-08-17 19:44:11 EDT
Description of problem:

Evolution cannot create new folders in a MH Mail tree

Version-Release number of selected component (if applicable):


How reproducible:

My evolution environment has been with me for a while.  It began with an
import of an MH tree of legacy mail that I've had forever.  This tree is
configured as a secondary mail account which is not my default.  I like it's
structure, I've continued to use its folders through FC3 and FC4.  Since
installing FC5 I've been unable to add new subfolders.  For example I
have a top-level folder called 'ccb'.  Attempting to add a folder 'foo' below
'ccb' pops a dialog that says:

Store root /bcl/cbox/home/ccb/Mail/ is not an absolute path

The controlling terminal also reports:

DEBUG: ccb/foo (mh:///bcl/cbox/home/ccb/Mail#ccb/foo)

(evolution-2.6:5638): evolution-mail-WARNING **: Error occurred while existing
dialogue active:
Store root /bcl/cbox/home/ccb/Mail/ is not an absolute path

OK.  It's unpleasant.  

So I pop the Preferences, select Mail Accounts, select this particular account
and press Edit to bring up the Account Editor.  I hit the Receiving Email tab
and then Browse for a configuration path.  The file picker dialog does not allow
the selection of a directory.  I select my Mail directory and the only buttons
available are Cancel and Open.  I hit Open expecting that the selected directory
will be returned to the application is the  desired Configuration Path:.  Nope.
 The file picker dialog opens the Mail directory and shows me its contents.  The
file picker will not allow the selection of any directory at all...  If I select
a regular file only then does it report the file back to the Receiving Email
dialog.  This is of course wrong.

It appears from a quick look that this is not the only thing wrong with
Evolution.  Should it be deprecated?

Steps to Reproduce:
1. Described above
Actual results:
Described above.

Expected results:
I expect to be able to use existing MH folder trees with Evolution
I expect to be able to select directories with the Gnome file picker
 when the dialog that popped the file picker needs a directory.

Additional info:
Comment 1 Matthew Barnes 2007-01-02 10:53:53 EST
Apologies for taking so long to respond.

Closing as UPSTREAM since there's an equivalent upstream bug report.  I will
continue to track the problem there.  Please refer to [1] for further updates.

Note that this is somewhat fixed in Rawhide.  I replaced the file chooser button
with a director chooser button in the Mail Accounts preferences.  Unfortunately
I can't apply this patch to stable Fedora Core releases because it breaks the
ability to choose a single mbox file.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=352346

Note You need to log in before you can comment on or make changes to this bug.